/* 
 * File: cdlabel.h
 * Code: Ben Walding
 * Date: 1 January 1998
 * Header for wonderful QT interface
 * Protected by the GNU Public License v2.0  <distrib>/GPL.LICENSE      
 */

#ifndef _cdlabel_h_
#define _cdlabel_h_

#include <stdio.h>
#include <qradiobt.h>
#include <qpushbt.h>
#include "cdinfo.h"
#include "cdoption.h"
#include "workmandb.h"
#include "splash.h"


class mainInterface:public QWidget {
  Q_OBJECT;
public:
  mainInterface(QWidget *parent = 0, const char *name = 0); /* Constructor */
  void update_album(void);
  void showSplash();
  void hideSplash();
  void dbUpdate(char *title);  
  void setStatus(char *status);

signals:
  void loadedAlbum(char *name);

protected:
  void resizeEvent(QResizeEvent *);

  MyAlbumList *cd_list;
  cdInfo *cd_info;
public:
  Splash *splashScreen;
  /* Public so that it may be connected to a quit - XXX XXX XXX */
  QPushButton *b_quit;

private:
  QRadioButton *r_generated;
  QLabel *r_size_front, *r_size_back;
  
  QPushButton *b_generate;  
  QPushButton *b_print;
  QPushButton *b_display;
  QPushButton *b_options;
  QPushButton *b_about;
  QPushButton *b_refresh;
  QLabel *l_status;
  cdOptions *cd_options;
 
public slots:
  void genLabel();
  void displayLabel();
  void printLabel();
  void display_info(int value);
  void displayOptions();
  void changedOptions();
  void showAbout();
  void refresh();
  void changedSortOrder();

};


extern int albumIndex;
extern mainInterface *interface;
extern QApplication *app;

#endif /*_cdlabel_h_*/
